{: Unit con constantes que comparten Proyectos.
@author     Germn Estvez
@cat        Constantes generales a la aplicacin
}
{                                                
=========================================================================

  UCommonConstantes.pas

  Tipo: Unit

========================================================================
  Historia de las Versiones
------------------------------------------------------------------------

  07/08/2014   * Creacin.

  Unit con constantes de caracter general

=========================================================================

  Errores detectados no corregidos

=========================================================================
}
unit UCommonConstantes;

{$I jedi.inc}

//=========================================================================
//
// I N T E R F A C E
//
//=========================================================================
interface

uses
{$IFDEF DELPHIXE_UP}
  FMX.Graphics;
{$ELSE}
  Graphics;
{$ENDIF}

// Cinfiguraciones para  ficheros INI
const
  CONFIG_SECTION = 'CONFIG';

// constantes para caracteres
const
  CHAR_COMMA = ',';
  CHAR_SPACE = ' ';
  CHAR_POINT = '.';
  CHAR_EQUAL = '=';
  CHAR_MINUS = '-';
  CHAR_TWOPOINTS = ':';
  CHAR_OPEN = '(';
  CHAR_CLOSE = ')';
  CHAR_SLASH = '/';
  CHAR_UNDERLINE = '_';
  CHAR_ASTERISK = '*';
  CHAR_PERCENT = '%';
  CHAR_VERTICAL = '|';

  STR_EMPTY = '';

// Versiones de programas
const
  ZERO_VERSION = '0.0.0.0';

// Extensiones de ficheros
const
  BAK_EXT = '.bak';
  LOG_EXT = '.log';
  INI_EXT = '.ini';

// Colores
const
{$IFDEF DELPHIXE_UP}
//  COLOR_VERDE_CLARO = clMoneyGreen;
  COLOR_ROJO_CLARO = $00DDDDFF;
{$ELSE}
  COLOR_VERDE_CLARO = clMoneyGreen;
  COLOR_ROJO_CLARO = $00DDDDFF;
{$ENDIF}


// codificacion/Decodificacion
const
  Codes64 = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz+/';


//=========================================================================
//
// I N T E R F A C E
//
//=========================================================================
implementation

end.
